﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCSS_constraint.sql **/
 EXEC P_ALTERPK 'PK_HCSS_INCOMEPROOFBILL', 'T_HCSS_INCOMEPROOFBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSS_INCOMEPROOFBILL' AND KSQL_INDNAME = 'IDX_HCSS_INCOMEPROOFBILL') CREATE INDEX IDX_HCSS_INCOMEPROOFBILL ON T_HCSS_INCOMEPROOFBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_HCSS_INCOMEPROOFENT', 'T_HCSS_INCOMEPROOFENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSS_INCOMEPROOFENT' AND KSQL_INDNAME = 'IDX_HCSS_INCOMEPROOFENT') CREATE INDEX IDX_HCSS_INCOMEPROOFENT ON T_HCSS_INCOMEPROOFENT ( FSEQ ,FID );


 EXEC P_ALTERPK 'PK_HCSS_INCOMEPROOFTPL', 'T_HCSS_INCOMEPROOFTPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSS_INCOMEPROOFTPL' AND KSQL_INDNAME = 'IDX_HCSS_INCOMEPROOFTPL') CREATE INDEX IDX_HCSS_INCOMEPROOFTPL ON T_HCSS_INCOMEPROOFTPL ( FNUMBER );


 EXEC P_ALTERPK 'PK_HCSS_INCOMEPROOFTPL_L', 'T_HCSS_INCOMEPROOFTPL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSS_INCOMEPROOFTPL_L' AND KSQL_INDNAME = 'IDX_HCSS_INCOMEPROOFTPL_L') CREATE INDEX IDX_HCSS_INCOMEPROOFTPL_L ON T_HCSS_INCOMEPROOFTPL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCSS_INCOMETPLMULREA', 'T_HCSS_INCOMETPLMULREA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSS_INCOMETPLMULREA' AND KSQL_INDNAME = 'IDX_HCSS_INCOMETPLMULREA') CREATE INDEX IDX_HCSS_INCOMETPLMULREA ON T_HCSS_INCOMETPLMULREA ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HCSS_ISSUEPROOFLOG', 'T_HCSS_ISSUEPROOFLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSS_ISSUEPROOFLOG' AND KSQL_INDNAME = 'IDX_HCSS_ISSUEPROOFLOG') CREATE INDEX IDX_HCSS_ISSUEPROOFLOG ON T_HCSS_ISSUEPROOFLOG ( FINCOMEPROOFBILLID );


 EXEC P_ALTERPK 'PK_HCSS_PROOFREASON', 'T_HCSS_PROOFREASON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSS_PROOFREASON' AND KSQL_INDNAME = 'IDX_HCSS_PROOFREASON') CREATE INDEX IDX_HCSS_PROOFREASON ON T_HCSS_PROOFREASON ( FNUMBER );


 EXEC P_ALTERPK 'PK_HCSS_PROOFREASON_L', 'T_HCSS_PROOFREASON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSS_PROOFREASON_L' AND KSQL_INDNAME = 'IDX_HCSS_PROOFREASON_L') CREATE INDEX IDX_HCSS_PROOFREASON_L ON T_HCSS_PROOFREASON_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCSS_REVENUEFIELD', 'T_HCSS_REVENUEFIELD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSS_REVENUEFIELD' AND KSQL_INDNAME = 'IDX_HCSS_REVENUEFIELD_FNUMBER') CREATE INDEX IDX_HCSS_REVENUEFIELD_FNUMBER ON T_HCSS_REVENUEFIELD ( FNUMBER );


 EXEC P_ALTERPK 'PK_HCSS_REVENUEFIELD_L', 'T_HCSS_REVENUEFIELD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCSS_REVENUEFIELD_L' AND KSQL_INDNAME = 'IDX_HCSS_REVENUEFIELD_L') CREATE INDEX IDX_HCSS_REVENUEFIELD_L ON T_HCSS_REVENUEFIELD_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCSS_constraint.sql **/
