﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCSS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSS_INCOMEREASONMUL') 
 CREATE TABLE T_HCSS_INCOMEREASONMUL (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSS_TPLCFGENTRY') 
 CREATE TABLE T_HCSS_TPLCFGENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRINTTPLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FTPLDESC NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FECONTPLID BIGINT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCSS_TPLCFGENTRY_L')
 CREATE TABLE T_HCSS_TPLCFGENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FTPLDESC NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_REVENUEFIELD' AND KSQL_COL_NAME ='FPLUGPATH') 
 ALTER TABLE T_HCSS_REVENUEFIELD ADD (FPLUGPATH VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFBILL' AND KSQL_COL_NAME ='FISSUETYPE') 
 ALTER TABLE T_HCSS_INCOMEPROOFBILL ADD (FISSUETYPE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFBILL' AND KSQL_COL_NAME ='FGETTYPE') 
 ALTER TABLE T_HCSS_INCOMEPROOFBILL ADD (FGETTYPE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFBILL' AND KSQL_COL_NAME ='FGETDATE') 
 ALTER TABLE T_HCSS_INCOMEPROOFBILL ADD (FGETDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFBILL' AND KSQL_COL_NAME ='FISUPLOADTPL') 
 ALTER TABLE T_HCSS_INCOMEPROOFBILL ADD (FISUPLOADTPL CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFBILL' AND KSQL_COL_NAME ='FECONTPLID') 
 ALTER TABLE T_HCSS_INCOMEPROOFBILL ADD (FECONTPLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFBILL' AND KSQL_COL_NAME ='FEMPLOYEEID') 
 ALTER TABLE T_HCSS_INCOMEPROOFBILL ADD (FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFBILL' AND KSQL_COL_NAME ='FPRINTNUM')
 ALTER TABLE T_HCSS_INCOMEPROOFBILL ADD (FPRINTNUM INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFTPL_L' AND KSQL_COL_NAME ='FCUSTOMTPLDESC')
 ALTER TABLE T_HCSS_INCOMEPROOFTPL_L ADD (FCUSTOMTPLDESC NVARCHAR(1000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFTPL' AND KSQL_COL_NAME ='FCUSTOMTPLDESC')
 ALTER TABLE T_HCSS_INCOMEPROOFTPL ADD (FCUSTOMTPLDESC NVARCHAR(1000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFTPL' AND KSQL_COL_NAME ='FISSUETYPE')
 ALTER TABLE T_HCSS_INCOMEPROOFTPL ADD (FISSUETYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFTPL' AND KSQL_COL_NAME ='FISUPLOADTPL')
 ALTER TABLE T_HCSS_INCOMEPROOFTPL ADD (FISUPLOADTPL CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFTPL' AND KSQL_COL_NAME ='FISMODIFY')
 ALTER TABLE T_HCSS_INCOMEPROOFTPL ADD (FISMODIFY CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFTPL' AND KSQL_COL_NAME ='FBOID')
 ALTER TABLE T_HCSS_INCOMEPROOFTPL ADD (FBOID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFTPL' AND KSQL_COL_NAME ='FISCURRENTVERSION')
 ALTER TABLE T_HCSS_INCOMEPROOFTPL ADD (FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFTPL' AND KSQL_COL_NAME ='FDATASTATUS')
 ALTER TABLE T_HCSS_INCOMEPROOFTPL ADD (FDATASTATUS VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFTPL' AND KSQL_COL_NAME ='FSOURCEVID')
 ALTER TABLE T_HCSS_INCOMEPROOFTPL ADD (FSOURCEVID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFTPL' AND KSQL_COL_NAME ='FHISVERSION')
 ALTER TABLE T_HCSS_INCOMEPROOFTPL ADD (FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFTPL' AND KSQL_COL_NAME ='FCHANGEDESCRIPTION')
 ALTER TABLE T_HCSS_INCOMEPROOFTPL ADD (FCHANGEDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCSS_INCOMEPROOFBILL' AND KSQL_COL_NAME ='FPOSITIONID')
 ALTER TABLE T_HCSS_INCOMEPROOFBILL ADD (FPOSITIONID BIGINT DEFAULT 0 NOT NULL );
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCSS_table.sql **/